Bug 150404 - suspend to ram failed
suspend to ram failed
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks: FCMETA_ACPI
  Show dependency treegraph
 
Reported: 2005-03-05 14:11 EST by Robert Vojta
Modified: 2015-01-04 17:17 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-07 02:56:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Vojta 2005-03-05 14:11:59 EST
Description of problem:

1. echo mem > /sys/power/state
2. system is going to sleep, eth is down, computer "off"
3. push power on button - screen is changing from black
   to white with some blur effects (didn't saw it before,
   but looks interesting)
4. screen is white => nothing works

Version-Release number of selected component (if applicable):

fully updated FC3 with 2.6.10-1.770_FC3

I found just this info in the logs:

Mar  5 20:02:16 echelon kernel: Stopping tasks:
=========================================================================================|
Mar  5 20:02:16 echelon kernel: eth1: Going into suspend...
Mar  5 20:02:16 echelon kernel: Warning: CPU frequency is 600000, cpufreq
assumed 2000000 kHz.
Mar  5 20:02:16 echelon kernel: Debug: sleeping function called from invalid
context at mm/slab.c:2061
Mar  5 20:02:16 echelon kernel: in_atomic():0, irqs_disabled():1
Mar  5 20:02:16 echelon kernel:  [<c01188af>] __might_sleep+0x7b/0x85
Mar  5 20:02:16 echelon kernel:  [<c0147f09>] __kmalloc+0x40/0x76
Mar  5 20:02:16 echelon kernel:  [<c01efcb5>] acpi_os_allocate+0xa/0xb

That's all, following lines in the log are for the new boot.

Additional info furnished upon request.
Comment 1 Robert Vojta 2005-03-05 14:14:00 EST
Maybe, it has something to do with my previous ACPI problems (buttons).
See bug #149246 for more details.
Comment 2 Robert Vojta 2005-03-05 14:32:08 EST
I tried acpi_sleep=s3_bios and it's better, but still doesn't work.

1. echo mem > /sys/power/state, computer sleeps not previous
   problem with function called from invalid context
2. computer sleeps, push power on button
3. I see something on the console, X starts, I see my screen
   before the suspend, but there are lot of random points with
   random colors and nothing works, sysrq keys, mouse, keyboard,
   ...

    
Comment 3 Robert Vojta 2005-03-05 14:44:40 EST
When suspending to RAM from console (previous tries were from X),
I've catched the kernel errors. Suspend, computer sleeps, push
power on button, errors on the screen and auto-run-level 0 ...

Mar  5 20:41:03 echelon kernel: Stopping tasks:
=========================================================================|
Mar  5 20:41:03 echelon kernel: eth1: Going into suspend...
Mar  5 20:41:03 echelon kernel: Debug: sleeping function called from invalid
context at mm/slab.c:2061
Mar  5 20:41:03 echelon kernel: in_atomic():0, irqs_disabled():1
Mar  5 20:41:03 echelon kernel:  [<c01188af>] __might_sleep+0x7b/0x85
Mar  5 20:41:03 echelon kernel:  [<c0147f09>] __kmalloc+0x40/0x76
Mar  5 20:41:03 echelon kernel:  [<c01efcb5>] acpi_os_allocate+0xa/0xb
Mar  5 20:41:03 echelon kernel:  [<c020367f>] acpi_ut_callocate+0x30/0x79
Mar  5 20:41:03 echelon kernel:  [<c02035be>] acpi_ut_initialize_buffer+0x4a/0x89
Mar  5 20:41:03 echelon kernel:  [<c0200434>] acpi_rs_create_byte_stream+0x23/0x3b
Mar  5 20:41:03 echelon kernel:  [<c02018e6>] acpi_rs_set_srs_method_data+0x1b/0x9d
Mar  5 20:41:03 echelon hal.hotplug[6139]: DEVPATH is not set
Mar  5 20:41:03 echelon kernel:  [<c0116e1d>] recalc_task_prio+0x128/0x133
Mar  5 20:41:03 echelon shutdown: shutting down for system halt
Mar  5 20:41:03 echelon kernel:  [<c0208d84>] acpi_pci_link_set+0xfe/0x176
Mar  5 20:41:03 echelon kernel:  [<c020910a>] irqrouter_resume+0x1c/0x24
Mar  5 20:41:03 echelon kernel:  [<c023ede7>] sysdev_resume+0x3e/0xa5
Mar  5 20:41:03 echelon kernel:  [<c0241ec2>] device_power_up+0x5/0xa
Mar  5 20:41:03 echelon kernel:  [<c013928a>] suspend_enter+0x25/0x2d
Mar  5 20:41:03 echelon kernel:  [<c01392f0>] enter_state+0x37/0x53
Mar  5 20:41:03 echelon kernel:  [<c01393ec>] state_store+0x83/0x91
Mar  5 20:41:03 echelon kernel:  [<c0139369>] state_store+0x0/0x91
Mar  5 20:41:03 echelon kernel:  [<c01a1b58>] subsys_attr_store+0x19/0x21
Mar  5 20:41:03 echelon kernel:  [<c01a1d26>] flush_write_buffer+0x20/0x25
Mar  5 20:41:03 echelon kernel:  [<c01a1d6d>] sysfs_write_file+0x42/0x63
Mar  5 20:41:03 echelon kernel:  [<c0160e06>] vfs_write+0xb6/0xe2
Mar  5 20:41:03 echelon kernel:  [<c0160ed0>] sys_write+0x3c/0x62
Mar  5 20:41:04 echelon kernel:  [<c0103443>] syscall_call+0x7/0xb
Mar  5 20:41:04 echelon kernel: ehci_hcd 0000:00:1d.7: USB 2.0 restarted, EHCI
1.00, driver 26 Oct 2004
Mar  5 20:41:04 echelon kernel: ACPI: PCI interrupt 0000:00:1f.1[A] -> GSI 10
(level, low) -> IRQ 10
Mar  5 20:41:04 echelon kernel: ACPI: PCI interrupt 0000:00:1f.5[B] -> GSI 4
(level, low) -> IRQ 4
Mar  5 20:41:04 echelon kernel: ACPI: PCI interrupt 0000:00:1f.6[B] -> GSI 4
(level, low) -> IRQ 4
Mar  5 20:41:04 echelon kernel: ACPI: PCI interrupt 0000:01:00.0[A] -> GSI 11
(level, low) -> IRQ 11
Mar  5 20:41:04 echelon kernel: PCI: Enabling device 0000:02:01.2 (0000 -> 0002)
Mar  5 20:41:04 echelon kernel: ACPI: PCI interrupt 0000:02:01.2[C] -> GSI 10
(level, low) -> IRQ 10
Mar  5 20:41:04 echelon kernel: eth1: Coming out of suspend...
Mar  5 20:41:04 echelon kernel: PCI: Enabling device 0000:02:02.0 (0000 -> 0002)
Mar  5 20:41:04 echelon kernel: ACPI: PCI interrupt 0000:02:02.0[A] -> GSI 4
(level, low) -> IRQ 4
Mar  5 20:41:04 echelon kernel: Restarting tasks...<6>usb 2-1: USB disconnect,
address 2
Mar  5 20:41:04 echelon kernel:  done
Mar  5 20:41:04 echelon init: Switching to runlevel: 0
Comment 4 Dave Jones 2005-07-15 14:11:05 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 5 Dave Jones 2005-12-07 02:56:32 EST
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug with current FC3 updates, please
reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

If you are not the reporter, but can reproduce this problem against
FC4, please open a new bug.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.